I want to determine the po-software version before I login with soap into the mailbox with the correct schema version.

I want to know if po is at least version 14.2.1 so I can add/mod/delete vacation rules.

Want to hide/show this option in my program before an operator tries to do this.

I know I can see it after login with soap, but then I have to login twice, is there a better solution.